Printable version

Drivers & software

* RECOMMENDED * HP ESXi Utilities Offline Bundle for VMware vSphere 5.5

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - System Management
Version: 1.5(23 Sep 2013)
Operating System(s):
VMware vSphere 5.5
File name: hp-HPUtil-esxi5.5-bundle-1.5-27.zip (5.5 MB)
The HP ESXi Utilities Offline bundle for VMware vSphere 5.5 includes HPONCFG, HPBOOTCFG, HPTESTEVENT, and HPSSACLI utilities for remote online configuration of servers. HPONCFG can be used to set up and reconfigure the iLO (Integrated Lights-Out) management controller of a server. HPBOOTCFG can be used to set up the boot configuration for the server. HPSSACLI can be used in the configuration of HP Smart Array controllers and attached storage. The HPTESTEVENT utility generates test WBEM indication and test SNMP trap.

Features include:

  • HPTESTEVENT – New utility to generate test WBEM indication and test SNMP trap
  • HPSSACLI – New utility to replace hpacucli
  • HPONCFG – HPONCFG utility, displays the Server Serial Number along with the Server Name when using hponcfg -g switch, to extract the Host System Information
  • Support for Microserver with Intel® Xeon® Processor E3-1220L v2
  • HP ProLiant BL490c G7 Server
  • Support for Intel® Xeon® E5-2400 v2 processors for EN processors/systems

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

71dcf06303acda452dad55d392fedcaa2016f4663ec9e4b6eb52e0fb69a78fee hp-HPUtil-esxi5.5-bundle-1.5-27.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:


 
 Installing Offline Bundles on an ESXi 5.5 Host Using vSphere CLI 5.5 esxcli Utility

You can use the esxcli utility in conjunction with offline bundles or with a depot. This topic describes
the procedure using offline bundles.

This bundle includes the followng software versions:
 

  • hpbootcfg_5.5.0.01-01.02.10
  • hponcfg_5.5.0.04-00.11.13
  • hpssacli_1.50.4.0-5.5.0.
  • hptestevent_5.5.0.01-00.00.6

 

Prerequisites

Before you can update or patch an ESXi 5.5 host from the command line, you must have access to a machine on which you can run the VMware vSphere Command-Line Interface 5.5  (vSphere CLI). You can install the vSphere CLI on your Microsoft Windows or Linux system. For information about importing or installing the vSphereCLI 5.5. see the VMware vSphere Command-Line Interface Guides.

Procedure 

  1. Power off any virtual machines that are running on the host and place the host into maintenance mode.
  2. Transfer the offline bundle onto the ESXi host local path, or extract it onto an online depot.
  3. Install the bundle on the ESXi host.
    • Install remotely from client, with offline bundle contents on a online depot:  
         esxcli -s <server> -u root -p mypassword software vib install -d <depotURL/bundle-index.xml>
    • Install remotely from client, with offline bundle on ESXi host:  
         esxcli -s <server> -u root -p mypassword software vib install -d <ESXi local path><bundle.zip>
    • Install from ESXi host, with offline bundle on ESXi host:  
         esxcli software vib install -d <ESXi local path><bundle.zip>
  4. After the bundle is installed, reboot the ESXi host for the updates to take effect.
  5. (Optional) Verify that the vibs on the bundle are installed on your ESXi host:
       esxcli -s <server> -u root -p mypassword software vib list
  6. (Optional) Remove individual vibs. <vib name> can be identified by listing the vibs as shown in #5:
       esxcli -s <server> -u root -p mypassword software vib remove -n <vib name>

Installing Offline Bundles on an ESXi 5.5 Host Using VMware vCenter Update Manager

The offline bundle can also be installed from VMware vCenter Update Manager as a patch. For more information and detailed instructions, see the VMware vCenter Update Manager Administration Guide. 

 


End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:



Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This is the initial release for vSphere 5.5


Version:2.6a (27 Apr 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • In the previous version of this bundle ( version 2.6),  ssacli would not install when using VUM.

    The vib meta data for the this bundle has been corrected to fix this error.


Version:2.6 (25 Oct 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Includes an updated Smart Storage Administrator SSACLI

 

 


Version:2.5 (12 Apr 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Supports the new Gen9 HPE ProLiant servers with Intel Xeon E5-2600-v4 Series processors
  • Included an updated HPE Smart Storage Administrator ( HPE SSA ) CLI

Version:2.4 (16 Nov 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Supports the new Gen9 HP ProLiant servers with Intel Xeon E3-1200-v5 processors.
  • Updated HP Smart Storage Administrator (HP SSA) CLI which has the updated HP EULA for encryption licensing

Version:2.3 (16 Sep 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Updated HP Smart Storage Administrator ( HP SSA ) CLI which has added support for:

  • HP Smart Array P840ar Controller

Version:2.2 (30 Mar 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Updated HP Smart Storage Administrator ( HP SSA) CLI which has added support for:

  • HP Smart Array P246br Controller
  • HP Smart Array P741m Controller
  • HP Smart Array P841 Controller

Added support for the following servers:

  • HP ProLiant ML10 v2 (only supports the Intel® Xeon® E3-1200)
  • HP ProLiant XL190r Gen9
  • HP ProLiant XL170r Gen9

Version:2.1 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Support for the new HP ProLiant Gen9 servers and their options. The servers include:

  • HP ProLiant DL60 Gen9
  • HP ProLiant DL80 Gen9
  • HP ProLiant DL120 Gen9
  • HP ProLiant DL150 Gen9


Version:1.7 (17 Jun 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed random failures from HPONCFG when it is used in iLO configuration scripts.

Enhancements

Supports the HP ProLiant XL220a Gen8 v2 Server


Version:1.6 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The new enhancements include:

  • HPBOOTCFG can Report/Set UEFI or Legacy boot mode
  • Support for the ProLiant DL580 Gen8
  • Supports the Intel® Xeon® E5-4600 v2 processor for the ProLiant BL660c Gen8 and ProLiant DL560 Gen8

 


Version:1.5 (23 Sep 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This is the initial release for vSphere 5.5

Enhancements

Features include:

  • HPTESTEVENT – New utility to generate test WBEM indication and test SNMP trap
  • HPSSACLI – New utility to replace hpacucli
  • HPONCFG – HPONCFG utility, displays the Server Serial Number along with the Server Name when using hponcfg -g switch, to extract the Host System Information
  • Support for Microserver with Intel® Xeon® Processor E3-1220L v2
  • HP ProLiant BL490c G7 Server
  • Support for Intel® Xeon® E5-2400 v2 processors for EN processors/systems

Type: Software - System Management
Version: 1.5(23 Sep 2013)
Operating System(s):
VMware vSphere 5.5

Description

The HP ESXi Utilities Offline bundle for VMware vSphere 5.5 includes HPONCFG, HPBOOTCFG, HPTESTEVENT, and HPSSACLI utilities for remote online configuration of servers. HPONCFG can be used to set up and reconfigure the iLO (Integrated Lights-Out) management controller of a server. HPBOOTCFG can be used to set up the boot configuration for the server. HPSSACLI can be used in the configuration of HP Smart Array controllers and attached storage. The HPTESTEVENT utility generates test WBEM indication and test SNMP trap.

Enhancements

Features include:

  • HPTESTEVENT – New utility to generate test WBEM indication and test SNMP trap
  • HPSSACLI – New utility to replace hpacucli
  • HPONCFG – HPONCFG utility, displays the Server Serial Number along with the Server Name when using hponcfg -g switch, to extract the Host System Information
  • Support for Microserver with Intel® Xeon® Processor E3-1220L v2
  • HP ProLiant BL490c G7 Server
  • Support for Intel® Xeon® E5-2400 v2 processors for EN processors/systems

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

71dcf06303acda452dad55d392fedcaa2016f4663ec9e4b6eb52e0fb69a78fee hp-HPUtil-esxi5.5-bundle-1.5-27.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:


 
 Installing Offline Bundles on an ESXi 5.5 Host Using vSphere CLI 5.5 esxcli Utility

You can use the esxcli utility in conjunction with offline bundles or with a depot. This topic describes
the procedure using offline bundles.

This bundle includes the followng software versions:
 

  • hpbootcfg_5.5.0.01-01.02.10
  • hponcfg_5.5.0.04-00.11.13
  • hpssacli_1.50.4.0-5.5.0.
  • hptestevent_5.5.0.01-00.00.6

 

Prerequisites

Before you can update or patch an ESXi 5.5 host from the command line, you must have access to a machine on which you can run the VMware vSphere Command-Line Interface 5.5  (vSphere CLI). You can install the vSphere CLI on your Microsoft Windows or Linux system. For information about importing or installing the vSphereCLI 5.5. see the VMware vSphere Command-Line Interface Guides.

Procedure 

  1. Power off any virtual machines that are running on the host and place the host into maintenance mode.
  2. Transfer the offline bundle onto the ESXi host local path, or extract it onto an online depot.
  3. Install the bundle on the ESXi host.
    • Install remotely from client, with offline bundle contents on a online depot:  
         esxcli -s <server> -u root -p mypassword software vib install -d <depotURL/bundle-index.xml>
    • Install remotely from client, with offline bundle on ESXi host:  
         esxcli -s <server> -u root -p mypassword software vib install -d <ESXi local path><bundle.zip>
    • Install from ESXi host, with offline bundle on ESXi host:  
         esxcli software vib install -d <ESXi local path><bundle.zip>
  4. After the bundle is installed, reboot the ESXi host for the updates to take effect.
  5. (Optional) Verify that the vibs on the bundle are installed on your ESXi host:
       esxcli -s <server> -u root -p mypassword software vib list
  6. (Optional) Remove individual vibs. <vib name> can be identified by listing the vibs as shown in #5:
       esxcli -s <server> -u root -p mypassword software vib remove -n <vib name>

Installing Offline Bundles on an ESXi 5.5 Host Using VMware vCenter Update Manager

The offline bundle can also be installed from VMware vCenter Update Manager as a patch. For more information and detailed instructions, see the VMware vCenter Update Manager Administration Guide. 

 


Release Notes

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:



Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This is the initial release for vSphere 5.5

Important


Revision History

Version:2.6a (27 Apr 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • In the previous version of this bundle ( version 2.6),  ssacli would not install when using VUM.

    The vib meta data for the this bundle has been corrected to fix this error.


Version:2.6 (25 Oct 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Includes an updated Smart Storage Administrator SSACLI

 

 


Version:2.5 (12 Apr 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Supports the new Gen9 HPE ProLiant servers with Intel Xeon E5-2600-v4 Series processors
  • Included an updated HPE Smart Storage Administrator ( HPE SSA ) CLI

Version:2.4 (16 Nov 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Supports the new Gen9 HP ProLiant servers with Intel Xeon E3-1200-v5 processors.
  • Updated HP Smart Storage Administrator (HP SSA) CLI which has the updated HP EULA for encryption licensing

Version:2.3 (16 Sep 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Updated HP Smart Storage Administrator ( HP SSA ) CLI which has added support for:

  • HP Smart Array P840ar Controller

Version:2.2 (30 Mar 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Updated HP Smart Storage Administrator ( HP SSA) CLI which has added support for:

  • HP Smart Array P246br Controller
  • HP Smart Array P741m Controller
  • HP Smart Array P841 Controller

Added support for the following servers:

  • HP ProLiant ML10 v2 (only supports the Intel® Xeon® E3-1200)
  • HP ProLiant XL190r Gen9
  • HP ProLiant XL170r Gen9

Version:2.1 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Support for the new HP ProLiant Gen9 servers and their options. The servers include:

  • HP ProLiant DL60 Gen9
  • HP ProLiant DL80 Gen9
  • HP ProLiant DL120 Gen9
  • HP ProLiant DL150 Gen9


Version:1.7 (17 Jun 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed random failures from HPONCFG when it is used in iLO configuration scripts.

Enhancements

Supports the HP ProLiant XL220a Gen8 v2 Server


Version:1.6 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The new enhancements include:

  • HPBOOTCFG can Report/Set UEFI or Legacy boot mode
  • Support for the ProLiant DL580 Gen8
  • Supports the Intel® Xeon® E5-4600 v2 processor for the ProLiant BL660c Gen8 and ProLiant DL560 Gen8

 


Version:1.5 (23 Sep 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This is the initial release for vSphere 5.5

Enhancements

Features include:

  • HPTESTEVENT – New utility to generate test WBEM indication and test SNMP trap
  • HPSSACLI – New utility to replace hpacucli
  • HPONCFG – HPONCFG utility, displays the Server Serial Number along with the Server Name when using hponcfg -g switch, to extract the Host System Information
  • Support for Microserver with Intel® Xeon® Processor E3-1220L v2
  • HP ProLiant BL490c G7 Server
  • Support for Intel® Xeon® E5-2400 v2 processors for EN processors/systems

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.